Subject: Re: bug#1501: Emacs 22 loses undo buffer

From: Noam Postavsky <[email-masked]>
Date: Tue, 20 Aug 2019 14:45:08 -0400

Stefan Kangas <[email-masked]> writes:

> increase in the memory usage of each undo record, especially when
> using font-lock-mode.  I'm not sure that is a serious problem, since
> memory is only getting cheaper, but it might be worth investigating.
> On the other hand, we could just decide that this is not worth the
> effort and close this as wontfix.

Hmm, it sounds like the problem might just be due to saving text
properties in the undo records?  If so, maybe a simple fix is to just
drop them (or drop only face and font-lock-face properties).